Package org.opensaml.saml.config

# Class SAMLConfigurationSupport

java.lang.Object
org.opensaml.saml.config.SAMLConfigurationSupport

public final class SAMLConfigurationSupport extends Object
Helper class for working with the registered instance of `SAMLConfiguration`, as obtained from the `ConfigurationService`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAMLConfigurationSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`getAllowedBindingURLSchemes()`
Get the allowed URL schemes.
`static Float`
`getDecoderInflationFactor()`
Get the inflation factor to use when `isDecoderEstimateInflatedSize()` is enabled.
`static Integer`
`getDecoderKeyInfoSizeLimit()`
Get the KeyInfo size limit (currently POST SimpleSign only).
`static Integer`
`getDecoderRequestSizeLimit()`
Get the SAMLRequest message size limit.
`static Integer`
`getDecoderResponseSizeLimit()`
Get the SAMLResponse message size limit.
`static SAML1ArtifactBuilderFactory`
`getSAML1ArtifactBuilderFactory()`
Gets the artifact factory for the library.
`static SAML2ArtifactBuilderFactory`
`getSAML2ArtifactBuilderFactory()`
Gets the artifact factory for the library.
`static boolean`
`isDecoderEstimateInflatedSize()`
Get the flag indicating whether to estimate the inflated size of deflated data, or to do an exact computation.
`static boolean`
`isEnforceDecoderKeyInfoSizeLimit()`
Get the flag indicating whether to enforce KeyInfo size limits in the decoders (currently POST SimpleSign only).
`static boolean`
`isEnforceDecoderRequestSizeLimit()`
Get the flag indicating whether to enforce SAMLRequest message size limits in the decoders.
`static boolean`
`isEnforceDecoderResponseSizeLimit()`
Get the flag indicating whether to enforce SAMLResponse message size limits in the decoders.
`static void`
`setAllowedBindingURLSchemes(List<String> schemes)`
Set the allowed URL schemes.
`static void`
`setDecoderEstimateInflatedSize(boolean flag)`
Set the flag indicating whether to estimate the inflated size of deflated data, or to do an exact computation.
`static void`
`setDecoderInflationFactor(Float inflationFactor)`
Set the inflation factor to use when `isDecoderEstimateInflatedSize()` is enabled.
`static void`
`setDecoderKeyInfoSizeLimit(Integer limit)`
Set the KeyInfo size limit (currently POST SimpleSign only).
`static void`
`setDecoderRequestSizeLimit(Integer limit)`
Set the SAMLRequest message size limit.
`static void`
`setDecoderResponseSizeLimit(Integer limit)`
Set the SAMLResponse message size limit.
`static void`
`setEnforceDecoderKeyInfoSizeLimit(boolean flag)`
Set the flag indicating whether to enforce KeyInfo size limits in the decoders (currently POST SimpleSign only).
`static void`
`setEnforceDecoderRequestSizeLimit(boolean flag)`
Set the flag indicating whether to enforce SAMLRequest message size limits in the decoders.
`static void`
`setEnforceDecoderResponseSizeLimit(boolean flag)`
Set the flag indicating whether to enforce SAMLResponse message size limits in the decoders.
`static void`
`setSAML1ArtifactBuilderFactory(SAML1ArtifactBuilderFactory factory)`
Sets the artifact factory for the library.
`static void`
`setSAML2ArtifactBuilderFactory(SAML2ArtifactBuilderFactory factory)`
Sets the artifact factory for the library.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SAMLConfigurationSupport

private SAMLConfigurationSupport()
Constructor.

## Method Details

### getSAML1ArtifactBuilderFactory

@Nullable public static SAML1ArtifactBuilderFactory getSAML1ArtifactBuilderFactory()
Gets the artifact factory for the library.

Returns:
  artifact factory for the library

### setSAML1ArtifactBuilderFactory

public static void setSAML1ArtifactBuilderFactory(@Nullable SAML1ArtifactBuilderFactory factory)
Sets the artifact factory for the library.

Parameters:
  `factory` - artifact factory for the library

### getSAML2ArtifactBuilderFactory

@Nullable public static SAML2ArtifactBuilderFactory getSAML2ArtifactBuilderFactory()
Gets the artifact factory for the library.

Returns:
  artifact factory for the library

### setSAML2ArtifactBuilderFactory

public static void setSAML2ArtifactBuilderFactory(@Nullable SAML2ArtifactBuilderFactory factory)
Sets the artifact factory for the library.

Parameters:
  `factory` - artifact factory for the library

### getAllowedBindingURLSchemes

@Nonnull @Unmodifiable @NotLive public static List<String> getAllowedBindingURLSchemes()
Get the allowed URL schemes.

Returns:
  the list of allowed URL schemes

### setAllowedBindingURLSchemes

public static void setAllowedBindingURLSchemes(@Nullable List<String> schemes)
Set the allowed URL schemes.

Parameters:
  `schemes` - the new list of allowed URL schemes

### isEnforceDecoderRequestSizeLimit

public static boolean isEnforceDecoderRequestSizeLimit()
Get the flag indicating whether to enforce SAMLRequest message size limits in the decoders.

Returns:
  true if enforcement enabled, false if not

### setEnforceDecoderRequestSizeLimit

public static void setEnforceDecoderRequestSizeLimit(boolean flag)
Set the flag indicating whether to enforce SAMLRequest message size limits in the decoders.

Parameters:
  `flag` - true if enforcement enabled, false if not

### getDecoderRequestSizeLimit

@Nullable public static Integer getDecoderRequestSizeLimit()
Get the SAMLRequest message size limit.

Returns:
  the limit in bytes

### setDecoderRequestSizeLimit

public static void setDecoderRequestSizeLimit(@Nullable Integer limit)
Set the SAMLRequest message size limit.

Parameters:
  `limit` - the limit in bytes

### isEnforceDecoderResponseSizeLimit

public static boolean isEnforceDecoderResponseSizeLimit()
Get the flag indicating whether to enforce SAMLResponse message size limits in the decoders.

Returns:
  true if enforcement enabled, false if not

### setEnforceDecoderResponseSizeLimit

public static void setEnforceDecoderResponseSizeLimit(boolean flag)
Set the flag indicating whether to enforce SAMLResponse message size limits in the decoders.

Parameters:
  `flag` - true if enforcement enabled, false if not

### getDecoderResponseSizeLimit

@Nullable public static Integer getDecoderResponseSizeLimit()
Get the SAMLResponse message size limit.

Returns:
  the limit in bytes

### setDecoderResponseSizeLimit

public static void setDecoderResponseSizeLimit(@Nullable Integer limit)
Set the SAMLResponse message size limit.

Parameters:
  `limit` - the limit in bytes

### isEnforceDecoderKeyInfoSizeLimit

public static boolean isEnforceDecoderKeyInfoSizeLimit()
Get the flag indicating whether to enforce KeyInfo size limits in the decoders (currently POST SimpleSign only).

Returns:
  true if enforcement enabled, false if not

### setEnforceDecoderKeyInfoSizeLimit

public static void setEnforceDecoderKeyInfoSizeLimit(boolean flag)
Set the flag indicating whether to enforce KeyInfo size limits in the decoders (currently POST SimpleSign only).

Parameters:
  `flag` - true if enforcement enabled, false if not

### getDecoderKeyInfoSizeLimit

@Nullable public static Integer getDecoderKeyInfoSizeLimit()
Get the KeyInfo size limit (currently POST SimpleSign only).

Returns:
  the limit in bytes

### setDecoderKeyInfoSizeLimit

public static void setDecoderKeyInfoSizeLimit(@Nullable Integer limit)
Set the KeyInfo size limit (currently POST SimpleSign only).

Parameters:
  `limit` - the limit in bytes

### isDecoderEstimateInflatedSize

public static boolean isDecoderEstimateInflatedSize()
Get the flag indicating whether to estimate the inflated size of deflated data, or to do an exact computation.

For more details on usage see the documentation for `SAMLBindingSupport.getDeflatedSize(String, boolean, Float)`.

Returns:
  true if estimation is enabled, false if not

### setDecoderEstimateInflatedSize

public static void setDecoderEstimateInflatedSize(boolean flag)
Set the flag indicating whether to estimate the inflated size of deflated data, or to do an exact computation.

For more details on usage see the documentation for `SAMLBindingSupport.getDeflatedSize(String, boolean, Float)`.

Parameters:
  `flag` - true if estimate is enabled, false if not

### getDecoderInflationFactor

@Nullable public static Float getDecoderInflationFactor()
Get the inflation factor to use when `isDecoderEstimateInflatedSize()` is enabled.

For more details on usage see the documentation for `SAMLBindingSupport.getDeflatedSize(String, boolean, Float)`.

Returns:
  the inflation factor

### setDecoderInflationFactor

public static void setDecoderInflationFactor(@Nullable Float inflationFactor)
Set the inflation factor to use when `isDecoderEstimateInflatedSize()` is enabled.

For more details on usage see the documentation for `SAMLBindingSupport.getDeflatedSize(String, boolean, Float)`.

Parameters:
  `inflationFactor` - the inflation factor